View Issue Details

IDProjectCategoryView StatusLast Update
0019385mantisbtfilterspublic2017-10-08 23:52
ReporternoeAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSlinuxOS Version
Product Version1.2.19 
Target Version2.7.0Fixed in Version2.7.0 
Summary0019385: Filtering custom field show bugs from projects where this custom field has been removed
Description

When you remove a custom field from a project, this custom field is no more visible in the bugs of this project.
But if you filter on some value of this custom field for "all projects", the bug of this project are shown.

Steps To Reproduce
  • create a custom field
  • add this custom field to two projects
  • add a bug in this two projects with the same value for this custom field for example
  • remove the custom field from one of the two projects
  • filter on this custom field for "all projects"
  • the two bugs are listed
TagsNo tags attached.

Relationships

child of 0023443 closedcproensa Fixes related to custom fields on filters, columns and visibility 

Activities

noe

noe

2015-02-23 05:44

reporter   ~0048888

I forgot this : Mantisbt version is 1.2.19

Related Changesets

MantisBT: master 16ed967b

2017-08-19 20:51:00

cproensa


Committer: dregad Details Diff
Exclude unlinked projects from custom fields filter

Don't get data from custom field values from issues in projects that are
not linked to the custom field.
This data can exists if the field has been unlinked after data has been
saved. When unlinking a field from a project, the stored values are not
deleted, however they must be ignored.

Fixes: 0019385
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2015-02-20 12:06 noe New Issue
2015-02-23 05:44 noe Note Added: 0048888
2015-02-23 06:57 dregad Status new => acknowledged
2015-02-23 06:57 dregad Product Version => 1.2.19
2015-03-02 08:03 vitsaadmin Issue cloned: 0019419
2017-08-19 21:01 cproensa Assigned To => cproensa
2017-08-19 21:01 cproensa Status acknowledged => assigned
2017-10-07 12:45 dregad Changeset attached => MantisBT master 16ed967b
2017-10-07 12:45 cproensa Status assigned => resolved
2017-10-07 12:45 cproensa Resolution open => fixed
2017-10-07 12:45 cproensa Fixed in Version => 2.7.0
2017-10-07 13:34 atrol Target Version => 2.7.0
2017-10-08 11:27 cproensa Summary filtering custom field show bugs from projects where this custom field has been removed => Filtering custom field show bugs from projects where this custom field has been removed
2017-10-08 11:48 cproensa Relationship added child of 0023443
2017-10-08 23:52 vboctor Status resolved => closed